Package com.sas.services.information

# Class UserFolderType

java.lang.Object
com.sas.services.information.UserFolderType

All Implemented Interfaces:
  `Serializable`

public class UserFolderType extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final UserFolderType`
  `APPFOLDER`
  A pre-defined UserFolderType for the user's application-invisible data.
  `static final String`
  `FOLDERTYPE_APPFOLDER`
  A user's private folder for storing application data that will not be displayed directly by applications.
  `static final String`
  `FOLDERTYPE_HOME`
  A user's top-level home folder.
  `static final String`
  `FOLDERTYPE_MYFOLDER`
  A user's private, application-visible data folder.
  `static final UserFolderType`
  `HOMEFOLDER`
  A pre-defined UserFolderType representing the user's top-level home folder.
  `static final UserFolderType`
  `MYFOLDER`
  A pre-defined UserFolderType for the user's private, application-visible data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `final String`
  `getLocalizedFolderName()`
  `final String`
  `getType()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FOLDERTYPE_HOME

    public static final String FOLDERTYPE_HOME
    A user's top-level home folder. This should typically not be used by applications. User-visible data should go into the "My Folder", and behind-the-scenes application data should go into an application folder under "Application Data".
    See Also:
      - Constant Field Values

  - ### FOLDERTYPE_MYFOLDER

    public static final String FOLDERTYPE_MYFOLDER
    A user's private, application-visible data folder.
    See Also:
      - Constant Field Values

  - ### FOLDERTYPE_APPFOLDER

    public static final String FOLDERTYPE_APPFOLDER
    A user's private folder for storing application data that will not be displayed directly by applications.
    See Also:
      - Constant Field Values

  - ### HOMEFOLDER

    public static final UserFolderType HOMEFOLDER
    A pre-defined UserFolderType representing the user's top-level home folder. Don't use this unless you know what you're doing.

  - ### MYFOLDER

    public static final UserFolderType MYFOLDER
    A pre-defined UserFolderType for the user's private, application-visible data.

  - ### APPFOLDER

    public static final UserFolderType APPFOLDER
    A pre-defined UserFolderType for the user's application-invisible data.

- ## Method Details

  - ### getType

    public final String getType()

  - ### getLocalizedFolderName

    public final String getLocalizedFolderName()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`